Subject: Automatic selection of transition mechanism?

From: <[email-masked]>
Date: Tue, 25 Mar 2008 14:41:28 +0200

Hi,

As we now have a set of mechanisms to transport IPv6 over IPv4
standardized, and as it seems we will probably end up having a set of
mechanisms to access IPv4 destinations over IPv6-only access (MNAT-PT,
SNAT, NATv4v6v4...), has there been discussion already how a host that
implements multiple transition technologies should efficiently and
automatically discover which mechanisms to use in access networks it
happens to attach (and move between)?

Is the current state of the art just: trial & error, provisioning by
non-IETF means, or as defined by other SDOs for their systems?

Best regards,

	Teemu